Mutiny Monitoring Appliance < 6.1.0-5263 - Command Injection- (CVE-2018-15529)

From: reggie.dodd30@gmail.com
To: bugtraq@securityfocus.com
Cc:
Subject: Mutiny Monitoring Appliance < 6.1.0-5263 - Command Injection- (CVE-2018-15529)
Date:


[Title]
Mutiny Monitoring Appliance < 6.1.0-5263 - Command Injection (CVE-2018-15529)

[Product]
Mutiny Monitoring Appliance
https://www.mutiny.com/

[CVE]
CVE-2018-15529

[Credit]
Reginald Dodd

[Description]
A command injection vulnerability in maintenance.cgi in Mutiny "Monitoring Appliance" before 6.1.0-5263 allows authenticated users, with access to the admin interface, to inject arbitrary commands within the filename of a system upgrade upload.

[Version Tested] 
Version 6.1.0-5191 was tested and is vulnerable.

[Solution]
Upgrade to v6.1.0-5263.

[Reference]
https://www.mutiny.com/mutiny-support/previous-releases/ (Under the "Patches/Bugs" Fixed section)

[Timeline]
August 12, 2018 - A detailed report and exploit was sent to the vendor.
August 13, 2018 - The vendor released a patch (version 6.1.0-5263).
August 19, 2018 - Mitre assigned a CVE.





Copyright © 1995-2018 LinuxRocket.net. All rights reserved.